org.apache.commons.imaging.formats.png

## Enum InterlaceMethod

- java.lang.Object
- - java.lang.Enum<InterlaceMethod>
  - - org.apache.commons.imaging.formats.png.InterlaceMethod

- All Implemented Interfaces:
    Serializable, Comparable<InterlaceMethod>

      public enum InterlaceMethod
      extends Enum<InterlaceMethod>

  Interlace methods.
  See Also:
    Portable Network Graphics Specification - Interlacing and pass extraction

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADAM7`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isProgressive()`
    `static InterlaceMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InterlaceMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final InterlaceMethod NONE

    - #### ADAM7

          public static final InterlaceMethod ADAM7

  - ### Method Detail

    - #### values

          public static InterlaceMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterlaceMethod c : InterlaceMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterlaceMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isProgressive

          public boolean isProgressive()

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.